### Name: kin.cohort
### Title: Analysis of kin-cohort data
### Aliases: kin.cohort
### Keywords: survival

### ** Examples

data(kin.data)
attach(kin.data)

res.k<-   kin.cohort(age, cancer, gen1, rel, knots=c(30,40,50,60,70,80), f=0.02, 
                     method="km")
res.k          
plot(res.k)
plot(res.k,what="crr")

set.seed(1)
res.k.b<- kin.cohort(age, cancer, gen1, rel, knots=c(30,40,50,60,70,80), f=0.02, 
                     set=family, method="km", B=10)
res.k.b
plot(res.k.b)
plot(res.k.b,what="crr")

res.m<-   kin.cohort(age, cancer, gen1, rel, knots=c(30,40,50,60,70,80), f=0.02, 
                    method="mml")
res.m
plot(res.m)
plot(res.m, what="hr")

res.m2<-  kin.cohort(age, cancer, data.frame(gen1,gen2), rel, 
                     knots=c(30,40,50,60,70,80), f=c(0.02,0.01), method="mml")
res.m2
plot(res.m2)
plot(res.m2, what="hr")

set.seed(1)
res.m.b<- kin.cohort(age, cancer, gen1, rel, knots=c(30,40,50,60,70,80), f=0.02, 
                     set=family, method="mml", B=10)
res.m.b
plot(res.m.b)
plot(res.m.b, what="hr")



